Page MenuHomePhabricator

Create a branch REL1_28 for Metrolook (skin) to prevent Manifest version 2 issue
Closed, ResolvedPublic

Description

As said in the title, https://github.com/wikimedia/mediawiki-skins-Metrolook uses mantifest version 2 which was removed in MediaWiki 1.28 . This is currently preventing us (Miraheze) from upgrading to 1.28

Event Timeline

You can checkout the extension at 5d4c513 to get a manifest at version 1. See T142392 for more background about this upgrade.

Dereckson renamed this task from Metrolook (skin) uses Manifest version 2 which was removed in MediaWiki 1.28. to Create a branch REL1_28 for Metrolook (skin) to prevent Manifest version 2 issue.Nov 29 2016, 7:14 AM

Change 324030 had a related patch set uploaded (by Paladox):
Revert "Update skin.json to manifest_version version 2"

https://gerrit.wikimedia.org/r/324030

Change 324031 had a related patch set uploaded (by Paladox):
Revert "Update skin.json to manifest_version version 2"

https://gerrit.wikimedia.org/r/324031

Change 324030 merged by jenkins-bot:
Revert "Update skin.json to manifest_version version 2"

https://gerrit.wikimedia.org/r/324030

Change 324031 merged by jenkins-bot:
Revert "Update skin.json to manifest_version version 2"

https://gerrit.wikimedia.org/r/324031

Paladox claimed this task.